﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace XamDataCardsScrolling
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Data = new ObservableCollection<DataItem>
            {
                new DataItem { ID = 1, Name = "Item 1" },
                new DataItem { ID = 2, Name = "Item 2" },
                new DataItem { ID = 3, Name = "Item 3" },
                new DataItem { ID = 4, Name = "Item 4" },
                new DataItem { ID = 5, Name = "Item 5" },
                new DataItem { ID = 6, Name = "Item 6" },
                new DataItem { ID = 7, Name = "Item 7" },
                new DataItem { ID = 8, Name = "Item 8" },
                new DataItem { ID = 1, Name = "Item 1" },
                new DataItem { ID = 2, Name = "Item 2" },
                new DataItem { ID = 3, Name = "Item 3" },
                new DataItem { ID = 4, Name = "Item 4" },
                new DataItem { ID = 5, Name = "Item 5" },
                new DataItem { ID = 6, Name = "Item 6" },
                new DataItem { ID = 7, Name = "Item 7" },
                new DataItem { ID = 8, Name = "Item 8" },
            };
            DataContext = this;
        }
        public ObservableCollection<DataItem> Data { get; set; }         
    }

    public class DataItem : INotifyPropertyChanged
    {

        public DataItem() { }

        public DataItem(int id, string name)
        {
            _id = id;
            _name = name;
        }
        private double _id;
        public double ID
        {
            get { return _id; }
            set
            {
                _id = value;
                OnPropertyChanged("ID");
            }
        }
        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;

            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
